/**
 * 
 */
package pandemia;

import java.awt.Container;
import java.awt.Dimension;
import javax.swing.JFrame;

/**
 * @author Alessandro De Simone
 * @version 0.0
 * @date 7-dic-2005
 */
public class GuiFrame {
	JFrame f;
	Container c;
	GuiPanel p;
	int dim;
	/**
	 * 
	 */
	public GuiFrame() {
		f = new JFrame("Pandemia");
		f.setSize(new Dimension(602,602));
		f.setLocation(420,0);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		c = f.getContentPane();
		
		p = new GuiPanel();
		
		c.add(p);
		f.show();
	}

	public GuiFrame(int dim) {
		f = new JFrame("Pandemia");
		f.setSize(new Dimension(602*dim,602*dim));
		f.setLocation(0,0);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		c = f.getContentPane();
		
		p = new GuiPanel(dim);
		
		c.add(p);
		f.show();
	}

	public void addCentrePoint(int x, int y){
		p.addCentrePoint(x,y);
	}

	public void addAgentPoint(int x, int y){
		p.addAgentPoint(x,y);
	}

	public void addSickPoint(int x, int y){
		p.addSickPoint(x,y);
	}
	
	public void clear(){
		p.clear();
	}
	
	public void repaint(){
		f.repaint();
	}
}
	