/**
 * 
 */
package pandemia;

import java.awt.Color;
import java.awt.Container;
import java.awt.Graphics;
import java.awt.Point;
import java.util.Vector;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * @author Alessandro De Simone
 * @version 0.0
 * @date 6-dic-2005
 */
public class GuiPanel extends JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 
	 */
	int x,y;
	int dim,DEFAULT_DIM = 1;
	Point p;
	Vector centres,agents,sicks;
	JFrame f;
	Container c;
		
	public GuiPanel() {
		super();
		dim = DEFAULT_DIM;
		centres = new Vector();
		agents = new Vector();
		sicks = new Vector();
	}

	public GuiPanel(int dim) {
		super();
		this.dim = dim;
		centres = new Vector();
		agents = new Vector();
		sicks = new Vector();
	}

		public void paintComponent(Graphics g){  
			super.paintComponent(g);
			setBackground(Color.white);
			 
			for (int i = 0; i < sicks.size(); i++){
				g.setColor(Color.green);
				p = (Point) sicks.get(i);
				x = scale((int) p.getX());
				y = scale((int) p.getY());
		//		System.out.println(x+","+y);
				g.fillRect(x-dim,y-dim,2*dim,2*dim);
				g.setColor(Color.red);
				setPixel(g,x,y);
			}
			
			g.setColor(Color.green);
			for (int i = 0; i < agents.size(); i++){
				p = (Point) agents.get(i);
				x = scale((int) p.getX());
				y = scale((int) p.getY());
				g.fillRect(x-dim,y-dim,2*dim,2*dim);

			}
			
			g.setColor(Color.black);
			for (int i = 0; i < centres.size(); i++){
				p = (Point) centres.get(i);
				x = scale((int) p.getX());
				y = scale((int) p.getY());
				setPixel(g,x,y);
			}
		} 
	
		public void addCentrePoint(int x, int y){
			centres.add(new Point(x,y));
		}

		public void addAgentPoint(int x, int y){
			agents.add(new Point(x,y));
		}

		public void addSickPoint(int x, int y){
			sicks.add(new Point(x,y));
		}
		
		public void clear(){
			sicks.clear();
			agents.clear();
			centres.clear();
		}

		void setPixel(Graphics g, int x, int y){
			g.drawLine(x-dim,y+dim,x+dim,y+dim);
			g.drawLine(x-dim,y+dim,x-dim,y-dim);
			g.drawLine(x+dim,y-dim,x+dim,y+dim);
			g.drawLine(x-dim,y-dim,x+dim,y-dim);
		}
		
		int scale(int i){
			int o = (i*2*dim)+2;
			return o;
		}
}