/*  
 * Classname  
 *  
 */

package pandemia;

import java.io.*;

import alice.logictuple.LogicTuple;
import alice.logictuple.Value;
import alice.tucson.api.*;
import alice.tucson.api.Agent;

/**
 * Defines the agent that manage tuple centre. 
 * 
 * @author Alessandro De Simone
 * @version 0.0
 * @date 1-dic-2005
 */

public class OrgAgent extends Agent {
	char ch;
	
	public OrgAgent(AgentId aid) throws TucsonException {
		super(aid);
	}
	protected void body() {
		try {
			TupleCentreId tid = new TupleCentreId("test_tc");
			StringBuffer buf = new StringBuffer(); 
			try {
				FileReader file = new java.io.FileReader("/Users/aledesimone/Documents/Ingegneria/ICT/Sistemi intelligenti distribuiti LS/Progetto/pandemia/src/reaction/reaction.txt");
				while(file.ready() && ch != -1){
					char ch = (char) file.read(); 
					buf.append(ch);
				}
		//		System.out.println(""+buf);
				setSpec(tid,""+buf);
			} 
			catch (java.io.FileNotFoundException e) {
				System.out.println("Reaction specification file not found");}
			catch (InvalidSpecificationException e) {
				System.out.println("Reaction specification malformed");}
		
			out(tid, new LogicTuple(
				"cell",
				new Value("ROMA"),
				new Value("p", 	new Value(100), 
								new Value(100))));
			out(tid, new LogicTuple(
					"cell",
					new Value("MILANO"),
					new Value("p", 	new Value(40), 
									new Value(200))));
		/*	out(tid, new LogicTuple(
					"youAre",
					new Value("topolino"),
					new Value("sick"),
					new Value("p", 	new Value(10), 
							 		new Value(10))));
			out(tid, new LogicTuple(
					"youAre",
					new Value("pluto"),
					new Value("sick"),
					new Value("p", 	new Value(100), 
							 		new Value(105))));
			out(tid, new LogicTuple(
					"youAre",
					new Value("pippo"),
					new Value("sick"),
					new Value("p", 	new Value(250), 
							 		new Value(94))));
			out(tid, new LogicTuple(
					"youAre",
					new Value("qui"),
					new Value("good"),
					new Value("p", 	new Value(123), 
							 		new Value(231))));
			out(tid, new LogicTuple(
					"youAre",
					new Value("quo"),
					new Value("good"),
					new Value("p", 	new Value(141), 
							 		new Value(108))));
			out(tid, new LogicTuple(
					"youAre",
					new Value("qua"),
					new Value("sick"),
					new Value("p", 	new Value(9), 
							 		new Value(60))));  */
		}
		catch (Exception e) {  }
		
	}
}