/*
 * Classname  
 *
 */

package test;

import alice.tucson.api.AgentId;
import pandemia.*;


/**
 * Test class for pandemia simulation
 * 
 * @author Alessandro De Simone
 * @version 0.0
 * @date 1-dic-2005
 */
public class Test {

	public static void main(String[] args) throws Exception {
	//	String name = "test_tc";
	//	String node = "localhost";
		
	//	new Node();
		new OrgAgent(new AgentId("orgAgent")).spawn();
		
		if (args.length == 0)
			System.out.println("No agents in this world!");
		else {
			try {
				for (int i = 0; i < Integer.parseInt(args[0]); i++) {
					new SpawnAgent(new AgentId("agent")).spawn();
				}
				for (int i = 0; i < Integer.parseInt(args[1]); i++) {
					new SpawnSickAgent(new AgentId("agent")).spawn();
				}
			} 
			catch (Exception e) {  }
		}
	}
}