:-load_library('alice.tucson.api.Tucson2PLibrary').
:-solve(createGui).

createGui:-
	java_object_bt('pandemia.GuiFrame',[],gui),
	go(guiAgent,test_tc,localhost).


go(ID,Name,Node):-
	enter_context([agent_id(ID)]),
		Name @ Node ? inp(rd_all(cell(_,_),C)),
		Name @ Node ? inp(rd_all(youAre(_,good,_),A)),
		Name @ Node ? inp(rd_all(youAre(_,sick,_),S)),
	exit_context,
	gui <- clear,
	show(C),show(A),show(S),
	gui <- repaint,
	go(ID,Name,Node).
	

show([]).
show([cell(_,p(X,Y))|T]):-
	gui <- addCentrePoint(X,Y), show(T).
show([youAre(_,good,p(X,Y))|T]):-
	gui <- addAgentPoint(X,Y), show(T).
show([youAre(_,sick,p(X,Y))|T]):-
	gui <- addSickPoint(X,Y), show(T).