/**
 * 
 */
package pandemia;

import java.io.FileInputStream;
import alice.tucson.api.Agent;
import alice.tucson.api.AgentId;
import alice.tucson.api.TucsonException;
import alice.tuprolog.InvalidTheoryException;
import alice.tuprolog.Prolog;
import alice.tuprolog.SolveInfo;
import alice.tuprolog.Term;
import alice.tuprolog.Theory;

/**
 * @author Alessandro De Simone
 * @version 0.0
 * @date 8-dic-2005
 */
public class SpawnAgent extends Agent {
	Theory th;
	FileInputStream file;
	/**
	 * 
	 */
	public SpawnAgent(AgentId aid) throws TucsonException {
		super(aid);
	}
	
	protected void body() {
		try {
			// imposto la teoria base del motore prolog.
			file = new java.io.FileInputStream("/Users/aledesimone/Documents/Ingegneria/ICT/Sistemi intelligenti distribuiti LS/Progetto/pandemia/src/theory/SimpleAgent.pl");
			th = new Theory(file);
			
			Prolog core = new Prolog();
			core.setTheory(th);
			SolveInfo bdi = core.solve("go(ID).");
			Term term = bdi.getSolution();
			int ID = Integer.parseInt(""+term);
			core.solve("remove("+ID+").");
		}
		catch (java.io.FileNotFoundException e) {
			 System.out.println("Agent theory file not found");  }
		catch	 (InvalidTheoryException e) {
			System.out.println("Agent theory file not found");  }
		catch (Exception e) {  }
	}

}
